org.codehaus.groovy.transform.stc

## Class StaticTypeCheckingVisitor.SignatureCodecFactory

- java.lang.Object
- - org.codehaus.groovy.transform.stc.StaticTypeCheckingVisitor.SignatureCodecFactory

- Enclosing class:
    StaticTypeCheckingVisitor

      public static class StaticTypeCheckingVisitor.SignatureCodecFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticTypeCheckingVisitor.SignatureCodecFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignatureCodec` | `getCodec(int version, ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticTypeCheckingVisitor.SignatureCodecFactory

          public StaticTypeCheckingVisitor.SignatureCodecFactory()

  - ### Method Detail

    - #### getCodec

          public static SignatureCodec getCodec(int version,
                                ClassLoader classLoader)